/*   BEM = Batch Equilibrium Model (calculates chemical equilibira)
     Copyright (C) 1996  J. Prenzel (jprenze@gwdg.de)
     
     This program is free software; you can redistribute it and/or
     modify it under the terms of the GNU General Public License
     as published by the Free Software Foundation; either version 2
     of the License, or (at your option) any later version.
     
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.         */

#include <stdio.h>
#include <string.h>
#include <unistd.h> /* for getopt */

#include "bem.h"
#include "tittra.h"
#include "dftest.h"
#include "tinit.h"
#include "start.h"


OPT Op = {0};
int opterr = 0;

int main(int narg, char *argv[]){
  char c =0, *cmd=NULL, *fil1=NULL, *fil2=NULL, s[2];
  int k;  

  while(c != -1){
    c=getopt(narg,argv,":s:i:q:Q:");
    switch(c){
    case 'i':
      Op.i=1;
      Ifil.nam=optarg;
      break;
    case 'q':
      Op.q=1;
      Qfil.nam=optarg;
      break;
    case 'Q':
      Op.Q=1;
      Qfil.nam=optarg;
      break;
    case 's':
      Op.s=1;
      Sfil.nam=optarg;
      break;
    case '?':
      s[0]=optopt;
      s[1]=0;
      bemerr(37,s,"","",0);
      return -32;
    case ':':
      s[0]=optopt;
      s[1]=0;
      bemerr(38,s,"","",0);
      return -32;
    }
  }


  k=optind;
  if(k < narg){
    cmd = argv[k];
    k++;
  }
  if(k < narg){
    fil1 = argv[k];
    k++;
  }
  if(k < narg){
    fil2 = argv[k];
  }

    if(strcmp(cmd,"dftest")==0){
      return dftest(fil1);
    }
    if(strcmp(cmd,"tittra")==0){
      return tittra(fil1,fil2);
    }
    if(strcmp(cmd,"tinit")==0){
      return tinit(fil1);
    }
    if(strcmp(cmd,"start")==0){
      return start(fil1);
    }
    bemerr(23,cmd,"","",0);
    return 1;

  return 0;
}


